TONTONDocs
TON CenterV2Send

applications/api/toncenter/v2/send/send-boc-return-hash

POST
/api/v2/sendBocReturnHash

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

boc*Bytes

Serialized external message in BoC format, base64 encoded. Contains the signed transaction to broadcast.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/sendBocReturnHash" \  -H "Content-Type: application/json" \  -d '{    "boc": "string"  }'
{
  "ok": true,
  "result": {
    "@type": "raw.extMessageInfo",
    "hash": "string",
    "hash_norm": "string"
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "empty boc"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 500,
  "error": "Exit code <N> != 0"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on